Loading...
Searching...
No Matches
BasicSL_module
casa package (libcasa_casa)

More...

## Topics

| BasicSL_module_internal_classes
| Internal BasicSL_module classes and functions.

## Namespaces

namespace | casacore::C

## Classes

struct | casacore::Complex_global_functions_Complex_desc
| More...
struct | Complexfwd_global_functions_Complexfwd
| More...
class | casacore::IComplex
| More...
struct | casacore::STLIO_global_functions_Container_IO
| More...
struct | casacore::STLMath_global_functions_Container_Math
| More...
class | casacore::SubString
| More...
class | casacore::String
| String: the storage and methods of handling collections of characters. More...
struct | casacore::String_global_functions_concatenator
| Global concatenation operators. More...
struct | casacore::String_global_functions_comparitor
| Global comparison operators. More...
struct | casacore::String_global_functions_split
| Splitting Global function which splits the String into string array res at separator and returns the number of elements. More...
struct | casacore::String_global_functions_common
| Some general functions Functions to find special patterns, join and replicate . More...
struct | casacore::String_global_functions_case
| Casing and related functions Case conversion and rearrangement functions . More...
struct | casacore::String_global_functions_io
| IO . More...

## Functions

Bool | casacore::Complex_global_functions_Complex_desc::isNaN (const Complex &val)
| Complex NaN and Infinity.
Bool | casacore::Complex_global_functions_Complex_desc::operator>= (const Complex &left, const Complex &right)
| Complex comparisons.
Bool | casacore::Complex_global_functions_Complex_desc::isNaN (const DComplex &val)
| DComplex NaN and Infinity.
Bool | casacore::Complex_global_functions_Complex_desc::operator>= (const DComplex &left, const DComplex &right)
| DComplex comparisons.
Double | casacore::Complex_global_functions_Complex_desc::fabs (const DComplex &val)
| Additional complex mathematical functions.
Bool | casacore::Complex_global_functions_Complex_desc::near (const Complex &val1, const Complex &val2, Double tol=1.0e-5)
| The near functions.
Complex | casacore::Complex_global_functions_Complex_desc::max (const Complex &x, const Complex &y)
| Max and min, floor and ceil functions.
DComplex | casacore::Complex_global_functions_Complex_desc::fmod (const DComplex &in, const DComplex &f)
| fmod
DComplex | casacore::Complex_global_functions_Complex_desc::atan (const DComplex &in)
| Inverse trigonometry.
DComplex | casacore::Complex_global_functions_Complex_desc::erf (const DComplex &in)
| Error function.

## Detailed Description

Classes and global functions for standard library use

See below for an overview of the classes in this module.

### Synopsis

This module is a bag of related standard library classes and global functions.

The following functionality is available:

- Forward declarations

  Complexfwd for complex numbers.

- Class Complex to offer single and double precision complex numbers.
- Class IComplex for integer complex numbers.
- Value Constants to offer mathematical and numerical constants.
- Class String for handling character strings.
- STLMath.h has some functions doing math on std::vector objects.
- STLIO.h has some functions showing a container on std::ostream or LogIO.

Tip: You may want to look at the individual header files to see whether you might not prefer to include only the header files you really need; it may be more efficient to do so;

## Function Documentation

## atan()

DComplex casacore::Complex_global_functions_Complex_desc::atan | ( | const DComplex & | in | ) |

Inverse trigonometry.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

atan not valid for z == -1

## erf()

DComplex casacore::Complex_global_functions_Complex_desc::erf | ( | const DComplex & | in | ) |

Error function.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Preliminary to get Functionals working. erf(z) will return erf(real(z)) only for now.

## fabs()

Double casacore::Complex_global_functions_Complex_desc::fabs | ( | const DComplex & | val | ) |

inline

Additional complex mathematical functions.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 217 of file Complex.h.

## fmod()

DComplex casacore::Complex_global_functions_Complex_desc::fmod | ( | const DComplex & | in,
|  | const DComplex & | f )

fmod

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

## isNaN() [1/2]

Bool casacore::Complex_global_functions_Complex_desc::isNaN | ( | const Complex & | val | ) |

Complex NaN and Infinity.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

## isNaN() [2/2]

Bool casacore::Complex_global_functions_Complex_desc::isNaN | ( | const DComplex & | val | ) |

DComplex NaN and Infinity.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

## max()

Complex casacore::Complex_global_functions_Complex_desc::max | ( | const Complex & | x,
|  | const Complex & | y )

inline

Max and min, floor and ceil functions.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 289 of file Complex.h.

## near()

Bool casacore::Complex_global_functions_Complex_desc::near | ( | const Complex & | val1,
|  | const Complex & | val2,
|  | Double | tol = 1.0e-5 )

The near functions.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Referenced by allNear(), and allNear().

## operator>=() [1/2]

Bool casacore::Complex_global_functions_Complex_desc::operator>= | ( | const Complex & | left,
|  | const Complex & | right )

inline

Complex comparisons.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 174 of file Complex.h.

References casacore::norm(), and casacore::True.

## operator>=() [2/2]

Bool casacore::Complex_global_functions_Complex_desc::operator>= | ( | const DComplex & | left,
|  | const DComplex & | right )

inline

DComplex comparisons.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 201 of file Complex.h.

References casacore::norm().